Filter Projects Demo
===========================

This demo will demonstrate on how to filter projects based on the updated date.

To run the demo:

1. Install the OpenAir connector in Anypoint Studio.

2. Import the demo as an "External Project" in Anypoint Studio.

3. If the OpenAir Connector library is not in the project build path:
	a) Right-click the demo project and click Properties;
	b) In the left-pane, click on Java Build Path
	c) On the Libraries tab, click Add Library
	d) Select "Anypoint Connectors Dependencies" and search for OpenAir. Select it and click Finish to add it to the build path.

4. Fill in the credentials properties file called "openair-credentials.properties" located under "src/main/resources".
You will need to provide your OpenAir  Company, Username, Password, ApiNamespace and ApiKey.  The ConnectionTimeout and ReadTimeOut are optional.

5. You can view the OpenAir SOAP Messages by setting the following log4j to DEBUG:
	<AsyncLogger name="org.mule.modules.openair" level="Debug"/>
The log4j property file is located in the "src/main/resources" folder

6. Run the demo application and hit the following URL in your browser: http://localhost:8081. A web form is displayed which allows you to create and delete a project.

7. Retrieve the filtered projects by changing the date from the provided web form, such that DataWeave creates the following oaDateObject.
	objects: {
				oaBase: {
					oaDate: {
						year: "2015",
						month: "01",
						day: "10",
						hour: "04",
						minute: "22",
						second: "50"
					}
				}

			}